html {
  height: 100%;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100%;
  margin: 0;
  background-color: hsl(0, 0%, 98%);
  color: #333;
  font: 100% / normal sans-serif;
}

header {
  display: flex;
  flex-direction: row;
  padding: 0.5rem;
  flex-grow: 0;
  flex-shrink: 0;
}

header > .left {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 50%;
}

header > .left > img {
  width: 80px;
}

header > .right {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  width: 50%;
}

main {
  width: 500px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  text-align: center;
  flex-grow: 1;
  position: relative;
}

h2 {
  margin-top: 0;
}

#quids {
  width: 100%;
}

.card {
  text-align: start;
  padding: 2rem;
}

.card > .card-title {
  padding-top: 0;
  margin-top: 0;
  padding-bottom: 1rem;
  margin-bottom: 0;
}

.card > .card-body > p {
  padding-bottom: 1rem;
}

.card .badge {
  border: 1px solid rgb(232, 232, 232);
  background: rgb(245, 245, 245);
  padding: 4px 8px;
  text-align: center;
  border-radius: 5px;
}

.card {
  box-sizing: border-box;
  margin: 0 0.25em 1rem;
  border-radius: 1rem;
  background-color: hsl(0, 0%, 100%);
  border: 2px solid hsl(0, 0%, 90%);
}

.button-group {
  gap: 0.5rem;
  display: flex;
  flex-direction: column;
}

.quid-actions {
  display: flex;
}

.quid-actions > button {
  width: fit-content;
  padding: 0;
  border: 0;
  background: none;
  flex-direction: column;
}

#register,
#insufficientQuadBalance,
.approve {
  display: none;
}

#register.show,
#insufficientQuadBalance.show,
.approve.show {
  display: inline-flex !important;
  justify-content: center;
}

form {
  display: grid;
}

input,
button {
  margin: 0;
  box-sizing: border-box;
  font: 1.25rem / 1.5 sans-serif;
  display: block;
  width: 100%;
  padding: 0.75rem 0.75rem;
}

button {
  font: 1.25rem sans-serif;
  border-radius: 0.25rem;
  border-style: solid;
  cursor: pointer;
  padding: 0.75rem 1.25rem;
}

button[type="submit"] {
  background-color: hsl(213, 73%, 50%);
  color: white;
}

button:disabled {
  border: 1px solid #999999;
  background-color: #cccccc;
  color: #666666;
  cursor: default;
}

footer {
  padding: 1rem;
  flex-grow: 0;
  flex-shrink: 0;
  display: flex;
}

footer > * {
  width: 50%;
}

.footer-right {
  text-align: end;
}

.popup-wrapper {
  position: relative;
  display: inline-block;
  cursor: pointer;
  height: 24px;
}

.popup-wrapper .popup {
  visibility: hidden;
  width: 200px;
  border: 1px solid rgb(232, 232, 232);
  background-color: #fff;
  color: #000;
  border-radius: 6px;
  padding: 8px 0;
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  margin-left: -80px;
  font-size: 0.75rem;
  text-align: start;
  padding: 0.75rem;
}

.popup-wrapper .popup::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}

.popup-wrapper > .show {
  visibility: visible;
  -webkit-animation: fadeIn 1s;
  animation: fadeIn 1s;
}

@-webkit-keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

:modal {
  margin: auto;
  width: 500px;
  padding: 0 0 0.75rem;
}

::backdrop {
  opacity: 0.5 !important;
  background: #000;
}

.modal-close {
  padding: 0;
  border: 0;
  background: 0;
}

.modal-x-close {
  width: fit-content;
  margin-left: auto;
  padding-right: 0.75rem;
  padding-top: 0.5rem;
}

.modal-cancel-close {
  padding: 0.5rem;
  font-size: 1rem;
}

.dialog-body {
  padding: 0 2rem;
}

.wallet {
  display: flex;
  align-items: center;
}

#quadBalanceDetails {
  align-items: center;
  display: none;
  background: hsl(213, 73%, 50%);
  color: #fff;
  border-radius: 12px;
  padding: var(--wui-spacing-3xs) var(--wui-spacing-xs) var(--wui-spacing-3xs)
    var(--wui-spacing-xs);
  margin: 0 10px;
}

#quadBalanceDetails.show {
  display: flex;
}

#quadBalanceDetails > img {
  height: 24px;
  background: #fff;
  border-radius: 50%;
  margin-right: 8px;
}

#registerInfoPanel {
  text-align: start;
  font-size: 0.9rem;
  padding: 5px 20px;
  border-radius: 10px;
  background: lightsteelblue;
}

@media only screen and (min-width: 1360px) {
  #registerInfoPanel {
    position: absolute;
    left: 500px;

    width: 300px;
    margin-left: 40px;
  }
}

.error {
  height: 2rem;
  line-height: 2rem;
  color: red;
  font-size: 1rem;
  margin-left: 4px;
}

.fees-grid {
  display: flex;
  flex-direction: column;
  background: #f5f5f5;
  border-radius: 10px;
  padding: 10px;
  margin: 0 0 10px 0;
  font-size: 0.9rem;
}

.fees-grid > .fees-row {
  display: grid;
  grid-auto-flow: column;
}

.fees-grid > .fees-row > .fees-end {
  text-align: end;
}

#loading {
  height: 100%;
}

.tx-error-grid {
  display: block;
  padding: 5px;
  margin: 10px 0;
  text-align: center;
  background: #f5f5f5;
  border: 1px solid #ccc;
  font-size: 0.9rem;
}

.tx-error-grid > #txError {
  width: 95%;
  height: 60px;
  resize: none;
}

.tx-error-grid > #txErrorCopy {
  font-size: 0.8rem;
  height: 30px;
  width: fit-content;
  padding: 4px;
  display: inline-block;
}
